Subject: Re: bug#34114: 27.0.50: pdumper and themes with Emacs daemon

From: Daniel Colascione <[email-masked]>
Date: Tue, 22 Jan 2019 20:05:40 -0800

On Jan 22, 2019 7:43 PM, Eli Zaretskii <[email-masked]> wrote:

> Cc: [email-masked], [email-masked], [email-masked]
> From: Daniel Colascione <[email-masked]>
> Date: Tue, 22 Jan 2019 17:41:34 -0800
>
> > What is special about frames that precludes them from being recorded
> > by the pdumper?
>
> Frames contain instance-specific state, and I don't think it makes sense
> to try to pretend that individual frames survive from one Emacs
> invocation to another.

Sorry, I still don't think I understand: what is that
instance-specific state, in terms of members of the frame object, or
its attributes?

A frame is always associated with a specific pty, specific X11 window, specific win32 window, etc. These concepts do not exist across different invocations of Emacs. I don't understand what you don't understand.